OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions | Variables
base.h File Reference
`#include "orte_config.h"`
`#include "opal/mca/mca.h"`
`#include "opal/class/opal_list.h"`
`#include "orte/mca/odls/odls.h"`

Go to the source code of this file.

## Data Structures
struct | orte_odls_base_t
| Struct to hold globals for the odls framework. More...

## Typedefs
typedef struct orte_odls_base_t | orte_odls_base_t
| Struct to hold globals for the odls framework.

## Functions
BEGIN_C_DECLS ORTE_DECLSPEC int | orte_odls_base_open (void)
| Open the odls framework. More...
ORTE_DECLSPEC int | orte_odls_base_select (void)
| Select an odls module. More...
ORTE_DECLSPEC int | orte_odls_base_finalize (void)
| Close the odls framework.
ORTE_DECLSPEC int | orte_odls_base_close (void)
ORTE_DECLSPEC void | orte_odls_base_notify_iof_complete (orte_process_name_t *proc)
ORTE_DECLSPEC void | orte_base_default_waitpid_fired (orte_process_name_t *proc, int32_t status)
ORTE_DECLSPEC void | orte_odls_base_setup_singleton_jobdat (orte_jobid_t jobid)
ORTE_DECLSPEC bool | orte_odls_base_default_check_finished (orte_process_name_t *proc)

## Variables
ORTE_DECLSPEC orte_odls_base_t | orte_odls_base
| Global instance of odls-wide framework data.

## Function Documentation

BEGIN_C_DECLS ORTE_DECLSPEC int orte_odls_base_open | ( | void |  | ) |

Open the odls framework.

Open the odls framework.

References orte_odls_base_t::available_components, orte_namelist_t::item, mca_base_param_reg_int_name(), orte_namelist_t::name, OBJ_CONSTRUCT, opal_argv_append_nosize(), opal_argv_count(), opal_argv_free(), opal_list_append, opal_list_get_size(), opal_output_open(), orte_show_help(), orte_odls_globals_t::output, orte_odls_globals_t::timeout_before_sigkill, and orte_process_name_t::vpid.

Referenced by orte_ess_base_orted_setup().

ORTE_DECLSPEC int orte_odls_base_select | ( | void |  | ) |

Select an odls module.

Select an odls module.

References orte_odls_base_t::available_components, orte_odls_base, orte_odls_globals_t::output, and orte_odls_base_t::selected_component.

Referenced by orte_ess_base_orted_setup().